# Visualization
TKV3d
Graphic3d

# Graphic3d_Vector Class Reference

This class allows the creation and update
of a 3D vector.
.

`#include <Graphic3d_Vector.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Graphic3d_Vector ()
| Creates a vector with 1.0, 0.0, 0.0 coordinates. .
Standard_EXPORT | Graphic3d_Vector (const Standard_Real AX, const Standard_Real AY, const Standard_Real AZ)
| Creates a vector with <ax>, <ay>, <az> coordinates. .
Standard_EXPORT | Graphic3d_Vector (const Graphic3d_Vertex &APoint1, const Graphic3d_Vertex &APoint2)
| Creates a vector from 2 points <apoint1> and <apoint2>. .
Standard_EXPORT void | Normalize ()
| Normalises <me>. Category: Methods to modify the class definition Warning: Raises VectorError if <me> is null. .
Standard_EXPORT void | SetCoord (const Standard_Real Xnew, const Standard_Real Ynew, const Standard_Real Znew)
| Modifies the coordinates of the vector <me>. .
Standard_EXPORT void | SetXCoord (const Standard_Real Xnew)
| Modifies the X coordinate of the vector <me>. .
Standard_EXPORT void | SetYCoord (const Standard_Real Ynew)
| Modifies the Y coordinate of the vector <me>. .
Standard_EXPORT void | SetZCoord (const Standard_Real Znew)
| Modifies the Z coordinate of the vector <me>. .
Standard_EXPORT void | Coord (Standard_Real &AX, Standard_Real &AY, Standard_Real &AZ) const
| Returns the coordinates of the vector <me>. .
Standard_EXPORT Standard_Boolean | IsNormalized () const
| Returns Standard_True if <me> has length 1. .
Standard_EXPORT Standard_Boolean | LengthZero () const
| Returns Standard_True if <me> has length zero. .
Standard_EXPORT Standard_Real | X () const
| Returns the X coordinates of the vector <me>. .
Standard_EXPORT Standard_Real | Y () const
| Returns the Y coordinate of the vector <me>. .
Standard_EXPORT Standard_Real | Z () const
| Returns the Z coordinate of the vector <me>. .

## Static Public Member Functions

static Standard_EXPORT Standard_Boolean | IsParallel (const Graphic3d_Vector &AV1, const Graphic3d_Vector &AV2)
| Returns Standard_True if the vector <av1> and <av2> are parallel. .
static Standard_EXPORT Standard_Real | NormeOf (const Standard_Real AX, const Standard_Real AY, const Standard_Real AZ)
| Returns the norm of the vector <ax>, <ay>, <az>. .
static Standard_EXPORT Standard_Real | NormeOf (const Graphic3d_Vector &AVector)
| Returns the norm of the vector <avector>. .

## Private Attributes

Standard_ShortReal | MyX
Standard_ShortReal | MyY
Standard_ShortReal | MyZ
Standard_ShortReal | MyNorme

## Constructor & Destructor Documentation

Standard_EXPORT Graphic3d_Vector::Graphic3d_Vector | ( |  | ) |

Standard_EXPORT Graphic3d_Vector::Graphic3d_Vector | ( | const Standard_Real | AX,
|  | const Standard_Real | AY,
|  | const Standard_Real | AZ
| ) |

Standard_EXPORT Graphic3d_Vector::Graphic3d_Vector | ( | const Graphic3d_Vertex & | APoint1,
|  | const Graphic3d_Vertex & | APoint2
| ) |

## Member Function Documentation

Standard_EXPORT void Graphic3d_Vector::Coord | ( | Standard_Real & | AX,
|  | Standard_Real & | AY,
|  | Standard_Real & | AZ
| ) | const

Standard_EXPORT Standard_Boolean Graphic3d_Vector::IsNormalized | ( |  | ) | const

static Standard_EXPORT Standard_Boolean Graphic3d_Vector::IsParallel | ( | const Graphic3d_Vector & | AV1,
|  | const Graphic3d_Vector & | AV2
| ) | `[static]`

Standard_EXPORT Standard_Boolean Graphic3d_Vector::LengthZero | ( |  | ) | const

Standard_EXPORT void Graphic3d_Vector::Normalize | ( |  | ) |

static Standard_EXPORT Standard_Real Graphic3d_Vector::NormeOf | ( | const Graphic3d_Vector & | AVector | ) | `[static]`

static Standard_EXPORT Standard_Real Graphic3d_Vector::NormeOf | ( | const Standard_Real | AX,
|  | const Standard_Real | AY,
|  | const Standard_Real | AZ
| ) | `[static]`

void Graphic3d_Vector::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Graphic3d_Vector::operator new | ( | size_t | size | ) | `[inline]`

void* Graphic3d_Vector::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT void Graphic3d_Vector::SetCoord | ( | const Standard_Real | Xnew,
|  | const Standard_Real | Ynew,
|  | const Standard_Real | Znew
| ) |

Standard_EXPORT void Graphic3d_Vector::SetXCoord | ( | const Standard_Real | Xnew | ) |

Standard_EXPORT void Graphic3d_Vector::SetYCoord | ( | const Standard_Real | Ynew | ) |

Standard_EXPORT void Graphic3d_Vector::SetZCoord | ( | const Standard_Real | Znew | ) |

Standard_EXPORT Standard_Real Graphic3d_Vector::X | ( |  | ) | const

Standard_EXPORT Standard_Real Graphic3d_Vector::Y | ( |  | ) | const

Standard_EXPORT Standard_Real Graphic3d_Vector::Z | ( |  | ) | const

## Field Documentation

Standard_ShortReal Graphic3d_Vector::MyNorme `[private]`

Standard_ShortReal Graphic3d_Vector::MyX `[private]`

Standard_ShortReal Graphic3d_Vector::MyY `[private]`

Standard_ShortReal Graphic3d_Vector::MyZ `[private]`

The documentation for this class was generated from the following file:

- Graphic3d_Vector.hxx